import * as OpenApiV3 from '../../../types/OpenApiV3';
declare type MappedOperation = {
    path: string;
    method: string;
    operationId: string;
    operation: OpenApiV3.OperationObject;
    parameters: OpenApiV3.ParameterObject[];
    requestBody?: OpenApiV3.RequestBodyObject;
    responses: {
        statusCode: string;
        response: OpenApiV3.ResponseObject;
    }[];
};
export declare const mapOperations: (document: OpenApiV3.Document) => MappedOperation[];
export {};
